<html>
    <script type="text/javascript" src="test.js"></script>

    <body style="background-color: red;">
        <button id="close" style="width: 200px;height: 200px;"> close</button>
        <button id="minimize" style="width: 200px;height: 200px;"> minimize</button>
        <button id="messageSent" style="width: 200px;height: 200px;"> message Sent</button>
        <button id="messageReceived" style="width: 200px;height: 200px;"> message Received</button>
        <button id="startChat" style="width: 200px;height: 200px;"> start Chat</button>
        <script type="text/javascript">
            docReady(function(){
                drivechat();
                console.log("it works");
            });
            function docReady(fn) {
                // see if DOM is already available
                if (document.readyState === "complete" || document.readyState === "interactive") {
                    // call on next available tick
                    setTimeout(fn, 1);
                } else {
                    document.addEventListener("DOMContentLoaded", fn);
                }
            }    
        </script>
    </body>
</html>

